<%--
/**
 * Copyright (c) 2000-present Liferay, Inc. All rights reserved.
 *
 * The contents of this file are subject to the terms of the Liferay Enterprise
 * Subscription License ("License"). You may not use this file except in
 * compliance with the License. You can obtain a copy of the License by
 * contacting Liferay, Inc. See the License for the specific language governing
 * permissions and limitations under the License, including but not limited to
 * distribution rights of the Software.
 *
 *
 *
 */
--%>

<%@ include file="/dynamic_include/init.jsp" %>

<%
String errorMessage = null;
String identificationToken = null;

String[] parts = clickToChatChatProviderAccountId.split(StringPool.SLASH);

if (themeDisplay.isSignedIn() && (parts.length > 1)) {
	try {
		Http.Options options = new Http.Options();

		options.addHeader(HttpHeaders.CONTENT_TYPE, ContentTypes.APPLICATION_JSON);
		options.setBody(
			JSONUtil.put(
				"email", user.getEmailAddress()
			).put(
				"firstName", user.getFirstName()
			).put(
				"lastName", user.getLastName()
			).toJSONString(),
			ContentTypes.APPLICATION_JSON, StringPool.UTF8);
		options.setLocation("https://api.hubspot.com/conversations/v3/visitor-identification/tokens/create?hapikey=" + parts[1]);
		options.setPost(true);

		String responseJSON = HttpUtil.URLtoString(options);

		JSONObject responseJSONObject = JSONFactoryUtil.createJSONObject(responseJSON);

		errorMessage = HtmlUtil.escapeJS(responseJSONObject.getString("message"));

		identificationToken = responseJSONObject.getString("token");
	}
	catch (Exception exception) {
		if (_log.isWarnEnabled()) {
			_log.warn(exception, exception);
		}
	}
}
%>

<script async defer id="hs-script-loader" src="//js-na1.hs-scripts.com/<%= parts[0] %>.js" type="text/javascript"></script>

<c:choose>
	<c:when test="<%= themeDisplay.isSignedIn() && (parts.length > 1) %>">
		<c:choose>
			<c:when test="<%= Validator.isNull(identificationToken) %>">
				<script>
					Liferay.Util.openToast({
						message:
							'<%= (errorMessage != null) ? errorMessage : LanguageUtil.get(resourceBundle, "unable-to-connect-to-hubspot") %>',
						type: 'danger',
					});
				</script>
			</c:when>
			<c:otherwise>
				<script type="text/javascript">
					window.hsConversationsSettings = {
						identificationEmail: '<%= user.getEmailAddress() %>',
						identificationToken: '<%= identificationToken %>',
					};

					window.HubSpotConversations.widget.load();
				</script>
			</c:otherwise>
		</c:choose>
	</c:when>
</c:choose>

<%!
private static final Log _log = LogFactoryUtil.getLog("com_liferay_click_to_chat_web.dynamic_include.hubspot_jsp");
%>